## net.sf.jftp.net
Class ConnectionHandler

    java.lang.Object
      net.sf.jftp.net.ConnectionHandler

    public class ConnectionHandler

extends java.lang.Object

This class manages a connection pool. You do not have to create an instance, but when you do use FtpConnection.setConnectionHandler for each connection to make the connection recognize its handler.

Constructor Summary
`ConnectionHandler()`

Method Summary
`void` `addConnection(java.lang.String file, Transfer t)`
`java.util.Hashtable<java.lang.String,Transfer>` `getConnections()`
`int` `getConnectionSize()`
`void` `removeConnection(java.lang.String file)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionHandler

    public ConnectionHandler()

Method Detail

### addConnection

    public void addConnection(java.lang.String file,
                              Transfer t)

### removeConnection

    public void removeConnection(java.lang.String file)

### getConnections

    public java.util.Hashtable<java.lang.String,Transfer> getConnections()

### getConnectionSize

    public int getConnectionSize()